Name:		xload
Version:	1.2.0
Release:	%mkrel 1
Summary:	System load average display for X
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
The xload program displays a periodically updating histogram of the system
load average.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xload
%{_datadir}/X11/app-defaults/XLoad
%{_mandir}/man1/xload.1*


%changelog
* Sun Jun 30 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2078122
- new version: 1.2.0

* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.1.4-1.mga9
+ Revision: 1854414
- 1.1.4
- update source URL

* Thu Mar 31 2022 umeabot <umeabot> 1.1.3-4.mga9
+ Revision: 1835989
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1518816
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1301923
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.1.3-1.mga7
+ Revision: 1208315
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-5.mga6
+ Revision: 948107
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 741051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 690680
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 531652
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 1.1.2-1.mga4
+ Revision: 464516
- 1.1.2

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 387068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.1.1-1.mga3
+ Revision: 257351
- new release

* Mon Jan 24 2011 pterjan <pterjan> 1.1.0-1.mga1
+ Revision: 37353
- imported package xload


* Sun Sep 26 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 581151
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-6mdv2010.1
+ Revision: 524450
- rebuilt for 2010.1

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.2-5mdv2009.1
+ Revision: 366690
- no autoreconf needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 226052
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 154447
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2008.1
+ Revision: 130255
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode lzma extension!!!

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.


* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2007.1
+ Revision: 147942
- new upstream release (fixing the setiud return value check) - 1.0.2

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-5mdv2007.0
+ Revision: 59277
- Add a patch fixing setuid calls. The return value should be verified in order
  to make sure the user privilegies were dropped. (#24976)
- rebuild to fix cooker uploading
- rebuild against new libXaw package\n- fixed description
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better description

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

